Bug 871784 - -readconfig with a non-existing file won't prompt any error
-readconfig with a non-existing file won't prompt any error
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
low Severity low
: pre-dev-freeze
: 7.0
Assigned To: Gerd Hoffmann
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-31 07:16 EDT by Shaolong Hu
Modified: 2014-06-17 23:18 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:48:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Shaolong Hu 2012-10-31 07:16:32 EDT
Description of problem:
------------------------
-readconfig with a non-existed file won't prompt any error, qemu-kvm exists quietly.

Version-Release number of selected component (if applicable):
-----------------------------------------------------------------
qemu-kvm-0.12.1.2-2.331.el6.x86_64

How reproducible:
-----------------
100%

Steps to Reproduce:
--------------------
1.
/usr/libexec/qemu-kvm -readconfig $non-existing-file
Comment 2 Gerd Hoffmann 2012-11-14 04:35:17 EST
Fixed upstream.  Is this important enougth to backport to rhel6?
I'm tempted to just move this to rhel7.
Comment 3 Ademar Reis 2012-11-19 16:46:25 EST
(In reply to comment #2)
> Fixed upstream.  Is this important enougth to backport to rhel6?
> I'm tempted to just move this to rhel7.

Agree. Please add a link to the commit or a copy/paste of the SHA1 + changelog and then move this bug to ON_QA.
Comment 5 Gerd Hoffmann 2013-03-20 11:00:10 EDT
Fixed upstream.
Comment 7 huiqingding 2014-01-20 20:57:19 EST
Verify this issue using the following version:
kernel-3.10.0-67.el7.x86_64
qemu-kvm-1.5.3-38.el7.x86_64

Steps to verification
1. Read a non-existing config file
# /usr/libexec/qemu-kvm -readconfig aaa.txt

Actual results:
qemu-kvm quits with error information:
read config aaa.txt: No such file or directory

Based on the above results, I think this bug has been fixed.
Comment 9 Ludek Smid 2014-06-13 08:48:00 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.